Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.modloader
Class ModLoaderConnectionHandler

    java.lang.Object
      cpw.mods.fml.common.modloader.ModLoaderConnectionHandler

All Implemented Interfaces:
  IConnectionHandler

    public class ModLoaderConnectionHandler

extends Object
implements IConnectionHandler

Constructor Summary
`ModLoaderConnectionHandler(BaseModProxy mod)`

Method Summary
`void` | `clientLoggedIn(NetHandler nh, INetworkManager manager, Packet1Login login)` Fired when the client established the connection to the server CLIENT SIDE
`void` | `connectionClosed(INetworkManager manager)` Fired when a connection closes ALL SIDES
`void` | `connectionOpened(NetHandler netClientHandler, MinecraftServer server, INetworkManager manager)` Fired when a local connection is opened CLIENT SIDE
`void` | `connectionOpened(NetHandler netClientHandler, String server, int port, INetworkManager manager)` Fired when a remote connection is opened CLIENT SIDE
`String` | `connectionReceived(NetLoginHandler netHandler, INetworkManager manager)` If you don't want the connection to continue, return a non-empty string here If you do, you can do other stuff here- note no FML negotiation has occured yet though the client is verified as having FML installed SERVER SIDE
`void` | `playerLoggedIn(Player player, NetHandler netHandler, INetworkManager manager)` Called when a player logs into the server SERVER SIDE

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModLoaderConnectionHandler

    public ModLoaderConnectionHandler(BaseModProxy mod)

Method Detail

### playerLoggedIn

    public void playerLoggedIn(Player player,
                               NetHandler netHandler,
                               INetworkManager manager)

  Description copied from interface: `IConnectionHandler`
  Called when a player logs into the server SERVER SIDE

  Specified by:
    `playerLoggedIn` in interface `IConnectionHandler`

### connectionReceived

    public String connectionReceived(NetLoginHandler netHandler,
                                     INetworkManager manager)

  Description copied from interface: `IConnectionHandler`
  If you don't want the connection to continue, return a non-empty string here If you do, you can do other stuff here- note no FML negotiation has occured yet though the client is verified as having FML installed SERVER SIDE

  Specified by:
    `connectionReceived` in interface `IConnectionHandler`

### connectionOpened

    public void connectionOpened(NetHandler netClientHandler,
                                 String server,
                                 int port,
                                 INetworkManager manager)

  Description copied from interface: `IConnectionHandler`
  Fired when a remote connection is opened CLIENT SIDE

  Specified by:
    `connectionOpened` in interface `IConnectionHandler`

### connectionClosed

    public void connectionClosed(INetworkManager manager)

  Description copied from interface: `IConnectionHandler`
  Fired when a connection closes ALL SIDES

  Specified by:
    `connectionClosed` in interface `IConnectionHandler`

### clientLoggedIn

    public void clientLoggedIn(NetHandler nh,
                               INetworkManager manager,
                               Packet1Login login)

  Description copied from interface: `IConnectionHandler`
  Fired when the client established the connection to the server CLIENT SIDE

  Specified by:
    `clientLoggedIn` in interface `IConnectionHandler`

### connectionOpened

    public void connectionOpened(NetHandler netClientHandler,
                                 MinecraftServer server,
                                 INetworkManager manager)

  Description copied from interface: `IConnectionHandler`
  Fired when a local connection is opened CLIENT SIDE

  Specified by:
    `connectionOpened` in interface `IConnectionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD